import { confirm_action } from "./confirm_action.js";
import { delete_request } from "./delete_request.js";
import { searcher } from "./searcher.js";

export class delete_product_window extends confirm_action {
    #target;

    constructor(target) {
        super();
        this.#target = target;
    }

    get _title() {
        return _("do-you-want-to-remove-it");
    }

    get _description() {
        let content = _("you-try-to-remove-__name__").format({
            name: this.#target.name
        });

        return content;
    }

    async _action () {
        new delete_request(this.#target).connect();
        searcher.reload();
    }
}   
